# pion::PionBlob< CharType, AllocType >::BlobParams Struct Reference

`#include <PionBlob.hpp>`

List of all members.

## Detailed Description

### template<typename CharType, typename AllocType>
struct pion::PionBlob< CharType, AllocType >::BlobParams

data type used to initialize blobs in variants without copy construction

Definition at line 106 of file PionBlob.hpp.

## Public Member Functions

| BlobParams (AllocType &blob_alloc, const CharType *ptr, const std::size_t len)
| constructor requires all parameters

## Public Attributes

AllocType & | m_alloc
const CharType * | m_ptr
std::size_t | m_len

The documentation for this struct was generated from the following file:

- common/include/pion/PionBlob.hpp